[Swift-commit] r5038 - trunk/tests/providers/local-pbs-coasters/fusion
wozniak at ci.uchicago.edu
wozniak at ci.uchicago.edu
Wed Aug 31 22:31:29 CDT 2011
Author: wozniak
Date: 2011-08-31 22:31:29 -0500 (Wed, 31 Aug 2011)
New Revision: 5038
Modified:
trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.check.sh
trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.setup.sh
trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.swift
Log:
Minor improvements
Modified: trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.check.sh
===================================================================
--- trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.check.sh 2011-09-01 03:30:27 UTC (rev 5037)
+++ trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.check.sh 2011-09-01 03:31:29 UTC (rev 5038)
@@ -2,11 +2,12 @@
set -x
-for count in `seq --format "%04.f" 1 1 10`
+FILES=( catsn.*.out )
+[[ ${#FILES[@]} == 10 ]] || exit 1
+
+for FILE in ${FILES}
do
- [ -f catsn.$count.out ] || exit 1
- CONTENTS1=$( cat catsn.$count.out.expected )
- CONTENTS2=$( cat catsn.$count.out )
- [[ $CONTENTS1 == $CONTENTS2 ]] || exit 1
+ grep -q "Hello world" ${FILE} || exit 1
done
+
exit 0
Modified: trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.setup.sh
===================================================================
--- trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.setup.sh 2011-09-01 03:30:27 UTC (rev 5037)
+++ trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.setup.sh 2011-09-01 03:31:29 UTC (rev 5038)
@@ -1,4 +1,4 @@
#!/bin/bash
cp -v $GROUP/data.txt . || exit 1
-cp -v $GROUP/*expected . || exit 1
+# cp -v $GROUP/*expected . || exit 1
Modified: trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.swift
===================================================================
--- trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.swift 2011-09-01 03:30:27 UTC (rev 5037)
+++ trunk/tests/providers/local-pbs-coasters/fusion/001-catsn.swift 2011-09-01 03:31:29 UTC (rev 5038)
@@ -5,9 +5,6 @@
cat @i stdout=@o;
}
-string t = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
-string char[] = @strsplit(t, "");
-
file out[]<simple_mapper; location=".", prefix="catsn.",suffix=".out">;
foreach j in [1:@toint(@arg("n","10"))] {
file data<"data.txt">;
More information about the Swift-commit
mailing list